<template>
  <course-list :courses="courses" />
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import CourseList from '@/components/courses/CourseList.vue';
import { Course } from '@/domain/entity/course/Course';

@Component({
  components: {
    CourseList
  }
})
export default class CourseView extends Vue {
  private get courses(): Course[] {
    return this.$store.getters['courses/items'];
  }

  private async mounted(): Promise<void> {
    await this.$store.dispatch('courses/fetch');
  }
}
</script>

<style scoped></style>
